Get Agent Details
curl --request GET \
--url https://api.eqho.ai/v1/agents/{agent_id}/details \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/agents/{agent_id}/details"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/agents/{agent_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/agents/{agent_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"account_id": "<string>",
"name": "<string>",
"voice_audio_id": "<string>",
"roles": [
{
"description": "Help customers with their problems and concerns.",
"name": "Customer Support"
}
],
"personality": {
"adherence": 0.75,
"empathy": 0.5,
"humor": 0.25
},
"enabled": true,
"avatar": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"instructions": "<string>",
"type": "call_transfer",
"settings": {},
"messages": {
"start": "[{{action.function_name}} (id: {{action.execution_id}}) is being processed, continue conversation in a nice manner, you will be notified when it's done. Do not call this function again until you receive the result.]",
"completed": "[{{action.function_name}} (id: {{action.execution_id}}) is done] result: {{action.result}}",
"failed": "[{{action.function_name}} (id: {{action.execution_id}}) has failed.] error: {{action.error}}",
"delayed": "[{{action.function_name}} (id: {{action.execution_id}}) has been delayed.]",
"timed_out": "[{{action.function_name}} (id: {{action.execution_id}}) timed out after {{action.timeout_seconds}}s]",
"cancelled": "[{{action.function_name}} (id: {{action.execution_id}}) has been cancelled.]"
},
"minimum_execution_time_milliseconds": 123,
"delayed_timing_milliseconds": 123,
"is_async": false,
"non_live_llm_settings": {
"model": "gpt-4o-mini",
"temperature": 0,
"reasoning": "none"
},
"execution_type": "live",
"response_mode": "interactive",
"execution_order": 123,
"execution_mode": "foreground",
"result_delivery_mode": "when_idle",
"timeout_seconds": 30,
"timeout_mode": "notify",
"cancellable": true,
"_id": "<string>",
"account_id": "<string>",
"enabled": true,
"history": {
"last_modified_at": "2023-11-07T05:31:56Z",
"revision": 0,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "unknown",
"last_modified_by": "unknown"
}
}
],
"scripts": [
{
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
}
],
"script": {
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
},
"knowledge_base_ids": [
"<string>"
],
"greetings": [
"<string>"
],
"interruptions": [
"<string>"
],
"history": {
"last_modified_at": "2023-11-07T05:31:56Z",
"revision": 0,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "unknown",
"last_modified_by": "unknown"
},
"greeting_type_inbound": "static",
"greeting_type_outbound": "static",
"structured_greetings": [
{
"call_type": "inbound",
"greeting_type": "static",
"text": "Hello! Welcome to our service. How can I assist you today?"
}
],
"tts_settings": {
"utterance_end_ms": "1000",
"smart_format": false,
"profanity_filter": false,
"punctuate": true,
"numerals": false,
"keywords": [
"<string>"
],
"diarize": false,
"dictation": false,
"endpointing": "10",
"filler_words": false
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Get Agent Details
GET
/
v1
/
agents
/
{agent_id}
/
details
Get Agent Details
curl --request GET \
--url https://api.eqho.ai/v1/agents/{agent_id}/details \
--header 'X-API-KEY: <api-key>' \
--header 'x-org-id: <api-key>'import requests
url = "https://api.eqho.ai/v1/agents/{agent_id}/details"
headers = {
"X-API-KEY": "<api-key>",
"x-org-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>', 'x-org-id': '<api-key>'}};
fetch('https://api.eqho.ai/v1/agents/{agent_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eqho.ai/v1/agents/{agent_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("x-org-id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"account_id": "<string>",
"name": "<string>",
"voice_audio_id": "<string>",
"roles": [
{
"description": "Help customers with their problems and concerns.",
"name": "Customer Support"
}
],
"personality": {
"adherence": 0.75,
"empathy": 0.5,
"humor": 0.25
},
"enabled": true,
"avatar": "<string>",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"instructions": "<string>",
"type": "call_transfer",
"settings": {},
"messages": {
"start": "[{{action.function_name}} (id: {{action.execution_id}}) is being processed, continue conversation in a nice manner, you will be notified when it's done. Do not call this function again until you receive the result.]",
"completed": "[{{action.function_name}} (id: {{action.execution_id}}) is done] result: {{action.result}}",
"failed": "[{{action.function_name}} (id: {{action.execution_id}}) has failed.] error: {{action.error}}",
"delayed": "[{{action.function_name}} (id: {{action.execution_id}}) has been delayed.]",
"timed_out": "[{{action.function_name}} (id: {{action.execution_id}}) timed out after {{action.timeout_seconds}}s]",
"cancelled": "[{{action.function_name}} (id: {{action.execution_id}}) has been cancelled.]"
},
"minimum_execution_time_milliseconds": 123,
"delayed_timing_milliseconds": 123,
"is_async": false,
"non_live_llm_settings": {
"model": "gpt-4o-mini",
"temperature": 0,
"reasoning": "none"
},
"execution_type": "live",
"response_mode": "interactive",
"execution_order": 123,
"execution_mode": "foreground",
"result_delivery_mode": "when_idle",
"timeout_seconds": 30,
"timeout_mode": "notify",
"cancellable": true,
"_id": "<string>",
"account_id": "<string>",
"enabled": true,
"history": {
"last_modified_at": "2023-11-07T05:31:56Z",
"revision": 0,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "unknown",
"last_modified_by": "unknown"
}
}
],
"scripts": [
{
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
}
],
"script": {
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
},
"knowledge_base_ids": [
"<string>"
],
"greetings": [
"<string>"
],
"interruptions": [
"<string>"
],
"history": {
"last_modified_at": "2023-11-07T05:31:56Z",
"revision": 0,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "unknown",
"last_modified_by": "unknown"
},
"greeting_type_inbound": "static",
"greeting_type_outbound": "static",
"structured_greetings": [
{
"call_type": "inbound",
"greeting_type": "static",
"text": "Hello! Welcome to our service. How can I assist you today?"
}
],
"tts_settings": {
"utterance_end_ms": "1000",
"smart_format": false,
"profanity_filter": false,
"punctuate": true,
"numerals": false,
"keywords": [
"<string>"
],
"diarize": false,
"dictation": false,
"endpointing": "10",
"filler_words": false
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
APIKeyHeader & OrgImpersonationOAuth2PasswordBearer & OrgImpersonation
Your API key for authentication.
Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.
Path Parameters
Required string length:
24Response
Successful Response
Show child attributes
Show child attributes
Describes the personality of an agent. These values will be injected into the agent's prompt. LLM might use them to adjust the agent's responses.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Container for a single script record.
Show child attributes
Show child attributes
Example:
{
"lines": [
{
"message": "Hi [prospectName]",
"speaker": "AGENT"
},
{
"message": "*Wait for user response*",
"speaker": "USER"
},
{
"message": "My name is [agentName] from [companyName]. I'm just giving you a quick call back with the free debt relief quote you requested! Let's get started, it will only take a few minutes.",
"speaker": "AGENT"
}
],
"name": "Debt Relief Script"
}
Show child attributes
Show child attributes
Available options:
static, ai, none Available options:
static, ai, none Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?